Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry cesty
name
string
vyžadováno
Name of the model.
version
string
vyžadováno
Version of the model.
Text požadavku
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
vyžadováno
The type of pending upload. Only TemporaryBlobReference is supported for models.
Odpovědi
The request has succeeded.
Text
blobReference
BlobReference
vyžadováno
Blob reference details.
blobUri
string
vyžadováno
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vyžadováno
ARM ID of the storage account to use.
credential
SasCredential
vyžadováno
SAS Credential definition
sasUri
string
vyžadováno
SAS uri
type
enum
vyžadováno
Type of credential
pendingUploadId
string
vyžadováno
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
vyžadováno
The type of pending upload. Only TemporaryBlobReference is supported for models.
Žádost
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json